
Foreman - Feature #8291

make foreman_url modifiable by a plugin

11/05/2014 06:04 PM - dustin tsang

Status: New   

Priority: Normal   

Assignee:    

Category: Templates   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

the logic for the way  foreman_url is displayed in templates should be modifiable by a plugin

Related issues:

Blocked by Foreman - Bug #8290: dry the foreman_url logic that exists in both... Closed 11/05/2014

Blocks Katello - Feature #8304: create a foreman engine for reverse proxy so ... New

History

#1 - 11/05/2014 06:05 PM - dustin tsang

- Blocked by Bug #8290: dry the foreman_url logic that exists in both renderer and host_templates_helper added

#2 - 11/05/2014 07:19 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1905 added

- Pull request deleted ()

#3 - 11/06/2014 09:56 AM - dustin tsang

- Related to Bug #8303: Serve templates through Http ReverseProxy added

#4 - 11/06/2014 09:58 AM - dustin tsang

- Related to deleted (Bug #8303: Serve templates through Http ReverseProxy)

#5 - 11/06/2014 09:58 AM - dustin tsang

- Blocks Bug #8303: Serve templates through Http ReverseProxy added

#6 - 11/06/2014 10:09 AM - dustin tsang

- Blocks deleted (Bug #8303: Serve templates through Http ReverseProxy)

#7 - 11/06/2014 10:10 AM - dustin tsang

- Blocks Feature #8304: create a foreman engine for reverse proxy so foreman can server templates with modified foreman_url added

#8 - 11/06/2014 10:32 AM - Dominic Cleal

- Tracker changed from Bug to Feature

- Category set to Templates

- Target version set to 1.7.2

#9 - 11/06/2014 02:12 PM - dustin tsang

- Project changed from Foreman to Templates

- Category deleted (Templates)
#10 - 11/07/2014 05:26 AM - Dominic Cleal

- Project changed from Templates to Foreman

- Category set to Templates

I don't know why you changed the project to Templates, as this is not part of foreman_templates.

#11 - 01/29/2015 03:51 AM - Dominic Cleal

- Status changed from Ready For Testing to New

- Assignee deleted (dustin tsang)

- Target version deleted (1.7.2)

- Pull request  added

- Pull request deleted (https://github.com/theforeman/foreman/pull/1905)

PR's been closed by the author but the request still appears valid to me, so leaving this open.
